# -*- coding: utf-8 -*-

from django.db import models
from django.utils.translation import ugettext_lazy as _
from models_ext import upload_path

from course.basemodels import CreateUpdateMixin
from utils.url_utils import upload_file_url


class CourseCodeSettingInfo(CreateUpdateMixin):
    cover_image = models.ImageField(_(u'cover_image'), upload_to=upload_path, blank=True, null=True, help_text=u'兑换课程页图片')

    class Meta:
        verbose_name = _(u'coursecodesettinginfo')
        verbose_name_plural = _(u'coursecodesettinginfo')

    def __unicode__(self):
        return unicode(self.pk)

    @property
    def cover_image_url(self):
        return upload_file_url(self.cover_image)
